<?php
	require_once(CI_PATH_LIBS.'/core.inc.php');
	
	class S2P_API_MODULE_BUDDYLIST extends S2P_API_MODULE
	{
		function S2P_API_MODULE_BUDDYLIST()
		{
		}

		function run($args)
		{
			switch ($args['task'])
			{
				case 'list':	return $this->task_list($args);
				case 'info':	return $this->task_info($args);
				case 'notify':	return $this->task_notify($args);
			}

			return $this->error_no_task();
		}

		function task_list($args)
		{
			if (!$args['account']) return ci_response_error('missing-account');
			
			$manager=new CI_CORE_SKYPE();
			$manager->open();

			$out=$manager->ask('get-buddylist', array(
				
			), array(
				'destination'	=> $args['account']
			));

			$manager->close();
			return $out;
		}

		function task_info($args)
		{
			if (!$args['account']) return ci_response_error('missing-account');
			
			$manager=new CI_CORE_SKYPE();
			$manager->open();

			$out=$manager->ask('get-user', array(
				'user-name'		=> $args['target'],
				'key'			=> $args['key']
			), array(
				'destination'	=> $args['account']
			));

			$manager->close();
			return $out;
		}

		function task_notify($args)
		{
			if (!$args['url'])
			{
				@unlink(CI_PATH_DATA.'/user_status_updated.evt');
				return ci_response_ok();
			}
			
			$fp=@fopen(CI_PATH_DATA.'/user_status_updated.evt', 'w');
			if (!$fp) return ci_response_error('filesystem-error');

			fputs($fp, $args['url']);
			fclose($fp);

			return ci_response_ok();
		}
	}
?>