<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/channels_zap.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$manager=new CI_CHANNELS_ZAP();

	$_REQUEST['id']=$manager->get_id_by_pos($_REQUEST['n']);

	$devices=$manager->get_devices();
	$device=$devices[intval($_REQUEST['n'])];

	$hidden_fields=array(
		'id'	=> $_REQUEST['id'],
		'task'	=> 'save'
	);

	$reverse_polarity_options=array(
		'none'			=> ci_lbl('channels.zap.info.fld-reverse_polarity.none'),
		'inprogress'	=> ci_lbl('channels.zap.info.fld-reverse_polarity.inprogress'),
		'disconnect'	=> ci_lbl('channels.zap.info.fld-reverse_polarity.disconnect')
	);
			
	$fields=array(
		'base'	=> array(
			'fields'	=> array(
				'composing_timeout'		=> array('type' => 'text', 'extra' => array('size' => 5)),
				'tx_gain'				=> array('type' => 'float', 'extra' => array('size' => 5)),
				'rx_gain'				=> array('type' => 'float', 'extra' => array('size' => 5)),
				'echo_cancel'			=> array('type' => 'yesno')
			)
		),
		'advanced'	=> array(
			'fields'	=> array(
				'reverse_polarity'		=> array('type' => 'select', 'options' => $reverse_polarity_options),
				'busy_detect'			=> array('type' => 'int', 'extra' => array('size' => 5)),
				'relax_dtmf'			=> array('type' => 'yesno')
			)
		)
	);

	
	$info=$manager->get_info($_REQUEST['id']);

	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_action('actions/channels_zap.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('channels.zap.info.tab-');
	$form->set_fields_label_prefix('channels.zap.info.fld-');

	$form->buttons->add_stock_button('back');
	$form->buttons->add_stock_button('save');
?>
<script type="text/javascript">
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'back':	ci_load_page('channels/zaptel/index.php'); break;
			case 'save':	$('form').do_submit(); break;
		}
		ci_hide_error_block('form_error');
	}

	function on_form_event(id, task)
	{
	}
</script>

<div class="title"><?php echo ci_lbl("channels.zap.info.title", array('name' => $device['name'])) ?></div>

<div class="help"><?php echo ci_hlp("channels.zap.info") ?></div>

<?php echo $form->get() ?>


