<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');
	require_once(CI_PATH_LIBS.'/filters.inc.php');
	require_once(CI_PATH_LIBS.'/buttons.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$table=new CI_TABLES();
	$table->set_option('sort', true);
	$table->set_option('edit', true);
	$table->set_option('clickable', 'desc');
	$table->set_option('toggle', true);
	$table->set_option('delete', true);
	
	$table->set_headers(array(
		'desc'			=> ci_lbl('filters.filterout.desc'),
		'policy'		=> ci_lbl('filters.filterout.policy')
	));

	$manager=new CI_FILTERS_OUT();
	$items=$manager->get_list();
	foreach ($items as $item)
	{
		$table->add_line(array(
			'desc'		=> $item['desc'],
			'policy'	=> strtoupper($item['policy'])
		), array(
			'id'		=> $item['id'],
			'enabled'	=> ($item['enabled'] == 'true')
		));
	}

	$buttons=new CI_BUTTONS();
	$buttons->add_stock_button('new');
?>
<script type="text/javascript">
	function on_table_event(table, task, id)
	{
		switch (task)
		{
			case 'edit':
				ci_load_page('filters/filterout/info.php?id='+id);
				break;

			case 'delete':
				my_id=id;
				ci_modal_confirm(id, "<?php echo ci_lbl('filters.filterout.info.confirm-delete') ?>", "on_modal_results"); break;
				break;

			case 'sort':
				ci_action('filterout.php?task=sort&map='+id, true);
				break;

			default:
				ci_action('filterout.php?task='+task+'&id='+id);
				break;
		}
	}

	function on_modal_results(id, res)
	{
		if (res==true) ci_action('filterout.php?task=delete&id='+id);
	}

	function on_button_event(id, task)
	{
		ci_load_page('filters/filterout/info.php');
	}
</script>

<div class="title"><?php echo ci_lbl("filters.filterout.title") ?></div>
<div class="help"><?php echo ci_hlp("filters.filterout") ?></div>
<?php echo $table->get(); ?>
<?php echo $buttons->get(); ?>
