<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/system.inc.php');
	require_once(CI_PATH_LIBS.'/loadbar.inc.php');
	require_once(CI_PATH_LIBS.'/core.inc.php');
	require_once(CI_PATH_LIBS.'/rss.inc.php');

	$cpu	= CI_SYSTEM::get_cpuinfo();
	$mem	= CI_SYSTEM::get_meminfo();
	$uptime	= CI_SYSTEM::get_uptime();
	$disk	= CI_SYSTEM::get_disk_usage();

	$skype=new CI_CORE_SKYPE();
	$skype->open();
	$sessions=$skype->get_sessions_status();

	$t=time()-86400*7;
	$calls_week = $CI_DB->getOne("select COUNT(*) from call_log where date>='".date('Y-m-d', $t)."'");
	$calls_dur  = $CI_DB->getOne("select SUM(duration) from call_log where date>='".date('Y-m-d', $t)."'");
	$calls_credit  = $CI_DB->getOne("select SUM(rate) from call_log where date>='".date('Y-m-d', $t)."'");

	$registered=0;
	$calls=0;
	foreach ($sessions as $account => $info)
	{
		if ($info['status'] == 'ready' || $info['status'] == 'busy') $registered++;
		if ($info['status'] == 'busy') $calls++;
	}

	$res_monitor=new CI_CORE_RESOURCES_MONITOR();
	$res_monitor->open();

	$resources=$res_monitor->get();

	if (!$CI_CORE_CONFIG_LICENSE['maxcalls']) $CI_CORE_CONFIG_LICENSE['maxcalls']=2;
	if (!$CI_CORE_CONFIG_LICENSE['maxclients']) $CI_CORE_CONFIG_LICENSE['maxclients']=4;
	
	$rss_content=NULL;
	if ($CI_CONFIG_BRAND['url-rss'])
	{
		$rss = new lastRSS();
		if (!is_dir(CI_PATH_DATA.'/rss-cache')) mkdir(CI_PATH_DATA.'/rss-cache', 0750);
	
		$rss->cache_dir = CI_PATH_DATA.'/rss-cache';
		$rss->cache_time = 0;
		
		$rss_res = $rss->get($CI_CONFIG_BRAND['url-rss']);
	}
?>
<script type="text/javascript">
	ci_set_reload_page(10000);
</script>

<div class="title"><?php echo ci_lbl("system.overview.title") ?></div>

<?php if (ci_license_is_evaluation()) { ?>
<div class="warn_block"><a href="javascript:ci_load_page('system/license/index.php')"><?php echo ci_lbl("common.evaluation") ?></a></div>
<?php } else if ($CI_CORE_CONFIG_LICENSE['expires'] && ($CI_CORE_CONFIG_LICENSE['expires']<time())) { ?>
<div class="warn_block"><a href="javascript:ci_load_page('system/license/index.php')"><?php echo ci_lbl("common.expired") ?></a></div>
<?php } else if ($CI_CORE_CONFIG_LICENSE['expires']) { ?>
<div class="warn_block"><a href="javascript:ci_load_page('system/license/index.php')"><?php echo ci_lbl("common.expires", array('date' => date("Y-m-d", intval($CI_CORE_CONFIG_LICENSE['expires'])))) ?></a></div>
<?php } ?>

<?php if ($rss_res) { ?>
<div class="block_header"><?php echo ci_lbl("system.overview.news") ?></div>
<div class="block_body_rss">
	<div  style="background: url(/icons/news.png) no-repeat center left; padding-left: 85px">
		<?php for ($i=0; $i<min(2, sizeof($rss_res['items'])); $i++) { ?>
		<div style="margin-bottom: 5px;">
			<a class="block_body_rss_link" href="<?php echo $rss_res['items'][$i]['link'] ?>" target="_blank"><span class="block_body_rss_title"><?php echo $rss_res['items'][$i]['pubDate'] ?> - <?php echo $rss_res['items'][$i]['title'] ?></span></a><br />
			<?php echo $rss_res['items'][$i]['description'] ?>
		</div>
		<?php } ?>
	</div>
</div>
<?php } ?>

<div class="block_header"><?php echo ci_lbl("system.overview.resources") ?></div>
<div class="block_body">
	<div style="background: url(/icons/resources.png) no-repeat center left; padding-left: 80px">
		<table width="100%">
			<?php $load=$resources['cpuload'] ?>
			<tr>
				<td width="150"><b><?php echo ci_lbl("system.overview.cpu") ?>:</b></td>
				<td rowspan="5">&nbsp;&nbsp;&nbsp;</td>
				<td><?php echo sizeof($cpu) ?> x <?php echo $cpu[0]['model name'] ?></td>
				<td align="right"><?php echo number_format($load, 2) ?>%</td>
				<td align="left" width="130"><?php echo CI_LOADBAR::get($load, 10, array(20, 40)) ?></td>
			</tr>
			<?php $load=100-($mem['memfree']/$mem['memtotal'])*100 ?>
			<tr>
				<td><b><?php echo ci_lbl("system.overview.ram") ?>:</b></td>
				<td><?php echo ci_readable_size($mem['memtotal']*1000) ?></td>
				<td align="right"><?php echo number_format($load, 2) ?>%</td>
				<td align="left"><?php echo CI_LOADBAR::get($load, 10, array(50, 75)) ?></td>
			</tr>
			<?php $load=$mem['swaptotal'] ? 100-($mem['swapfree']/$mem['swaptotal'])*100 : 0 ?>
			<tr>
				<td><b><?php echo ci_lbl("system.overview.swap") ?>:</b></td>
				<td><?php echo ci_readable_size($mem['swaptotal']*1000)  ?></td>
				<td align="right"><?php echo number_format($load, 2) ?>%</td>
				<td align="left"><?php echo CI_LOADBAR::get($load, 10, array(25, 50)) ?></td>
			</tr>
			<?php $load=($disk['used']/$disk['full'])*100 ?>
			<tr>
				<td><b><?php echo $disk['device'] ?>:</b></td>
				<td><?php echo ci_readable_size($disk['full']*1000) ?></td>
				<td align="right"><?php echo number_format($load, 2) ?>%</td>
				<td align="left"><?php echo CI_LOADBAR::get($load, 10, array(50, 75)) ?></td>
			</tr>
			<tr>
				<td><b><?php echo ci_lbl("system.overview.l2cache") ?>:</b></td>
				<td><?php echo sizeof($cpu) ?> x <?php echo $cpu[0]['cache size'] ?></td>
			</tr>
		</table>
	</div>
</div>

<div class="block_header"><?php echo ci_lbl("system.overview.network") ?></div>
<div class="block_body">
	<div style="background: url(/icons/network.png) no-repeat center left; padding-left: 80px">
		<table width="100%">
			<?php
				for ($i=0; $i<20; $i++)
				{
					$mac_addr=ci_get_mac_address('eth'.$i);
					$ip_addr=ci_get_ip_address('eth'.$i);
					$nm_addr=ci_get_nm_address('eth'.$i);
					if (!$mac_addr || !$ip_addr) break;
			?>
			<tr>
				<td width="165"><b><?php echo ci_lbl("system.overview.netiface") ?> eth<?php echo $i ?>:</b></td>
				<td>MAC: <?php echo $mac_addr ?>, IP: <?php echo $ip_addr ?>, NM: <?php echo $nm_addr ?></td>
			</tr>
			<?php } ?>
			<tr>
				<td width="165"><b><?php echo ci_lbl("system.overview.dns") ?>:</b></td>
				<td><?php echo ci_get_dns_address() ?></td>
			</tr>
			<tr>
				<td width="165"><b><?php echo ci_lbl("system.overview.gw") ?>:</b></td>
				<td><?php echo ci_get_gw_address() ?></td>
			</tr>
		</table>
	</div>
</div>

<div class="block_header"><?php echo ci_lbl("system.overview.application") ?></div>
<div class="block_body">
	<div style="background: url(/icons/application.png) no-repeat center left; padding-left: 80px">
		<table width="100%">
			<tr>
				<td width="150"><b><?php echo ci_lbl("system.overview.maxclients") ?>:</b></td>
				<td rowspan="9">&nbsp;&nbsp;&nbsp;</td>
				<td><?php echo $CI_CORE_CONFIG_LICENSE['maxclients'] ?></td>
				<td></td>
				<td width="130">&nbsp;</td>
			</tr>
			<tr>
				<td><b><?php echo ci_lbl("system.overview.maxcalls") ?>:</b></td>
				<td><?php echo $CI_CORE_CONFIG_LICENSE['maxcalls'] ?></td>
				<td></td>
				<td>&nbsp;</td>
			</tr>
			<?php $load=$CI_CORE_CONFIG_LICENSE['maxclients'] ? (sizeof($sessions)/$CI_CORE_CONFIG_LICENSE['maxclients'])*100 : 0 ?>
			<tr>
				<td><b><?php echo ci_lbl("system.overview.configured_sessions") ?>:</b></td>
				<td><?php echo sizeof($sessions) ?></td>
				<td align="right"><?php echo number_format($load, 2) ?>%</td>
				<td align="left"><?php echo CI_LOADBAR::get($load, 10) ?></td>
			</tr>
			<?php $load=sizeof($sessions) ? ($registered/sizeof($sessions))*100 : 0 ?>
			<tr>
				<td><b><?php echo ci_lbl("system.overview.sessions") ?>:</b></td>
				<td><?php echo $registered ?></td>
				<td align="right"><?php echo number_format($load, 2) ?>%</td>
				<td align="left"><?php echo CI_LOADBAR::get($load, 10) ?></td>
			</tr>
			<?php $load=$registered ? ($calls/min($registered, intval($CI_CORE_CONFIG_LICENSE['maxcalls'])))*100 : 0 ?>
			<tr>
				<td><b><?php echo ci_lbl("system.overview.calls") ?>:</b></td>
				<td><?php echo $calls ?></td>
				<td align="right"><?php echo number_format($load, 2) ?>%</td>
				<td align="left"><?php echo CI_LOADBAR::get($load, 10, array(50, 75)) ?></td>
			</tr>
			<tr>
				<td><b><?php echo ci_lbl("system.overview.calls_week") ?>:</b></td>
				<td colspan="3"><?php echo number_format($calls_week, 0, '.', ',') ?> calls - <?php echo ci_readable_duration($calls_dur, true) ?></td>
			</tr>
			<tr>
				<td><b><?php echo ci_lbl("system.overview.uptime") ?>:</b></td>
				<td colspan="3"><?php echo ci_readable_duration($uptime['uptime'], true) ?></td>
			</tr>
			<tr>
				<td><b><?php echo ci_lbl("system.overview.calls_credit_week") ?>:</b></td>
				<td colspan="3"><?php echo ci_readable_num($calls_credit) ?></td>
			</tr>
			<tr>
				<td><b><?php echo ci_lbl("system.overview.version") ?>:</b></td>
				<td colspan="3"><?php system(CORE_PATH_BASE.'/libexec/version') ?></td>
			</tr>
		</table>
	</div>
</div>

