#!/bin/bash

cd `dirname $0`
MYDIR=`pwd`
MYSCRIPT=`basename $0`
cd ../../..
S2P_PATH_BASE=`pwd`
cd $MYDIR

TWISTER_PATH_BASE=$S2P_PATH_BASE/apps/twister
S2P_PATH_RUN=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^path.run | cut -d= -f2`
S2P_OS_USERNAME=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^os.username | cut -d= -f2`
if [[ `whoami` != "$S2P_OS_USERNAME" ]]; then
	exec sudo -u $S2P_OS_USERNAME ./$MYSCRIPT $@
fi

usage()
{
	echo "Usage: $0 start|stop|restart"
	exit -1
}

if [ -z "$1" ]; then
	usage
fi

if [ "$1" == "restart" ]; then
	./$MYSCRIPT stop
	./$MYSCRIPT start
	exit 0
fi

PIDFILE="$S2P_PATH_RUN/twister.pid"
if [ "$1" == "reload" ]; then
	kill -HUP `cat $PIDFILE`
	exit 0
fi

if [ -f $PIDFILE ]; then
	kill `cat $PIDFILE`
fi

if [ "$1" == "start" ]; then
	($TWISTER_PATH_BASE/libexec/manager.py &> /dev/null) &
fi
