#!/bin/bash

cd `dirname $0`
MYDIR=`pwd`
MYSCRIPT=`basename $0`
cd ../..
S2P_PATH_BASE=`pwd`
cd $MYDIR

MIN_STACK_SIZE=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^tuning.ulimit.min-stack-size | cut -d= -f2`
MAX_OPEN_FILES=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^tuning.ulimit.max-open-files | cut -d= -f2`

S2P_OS_USERNAME=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^os.username | cut -d= -f2`
S2P_PATH_RUN=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^path.run | cut -d= -f2`

if [[ `whoami` != "$S2P_OS_USERNAME" ]]; then
	exec sudo -u $S2P_OS_USERNAME ./$MYSCRIPT $@
fi

usage()
{
	echo "Usage: $0 start|stop|restart"
	cd $OWD

	exit -1
}

if [ -z "$1" ]; then
	usage
fi

if [ "$1" == "restart" ]; then
	./$MYSCRIPT stop
	./$MYSCRIPT start
	exit 0
fi

PIDFILE="$S2P_PATH_RUN/logger.pid"
if [ -f $PIDFILE ]; then
	PID=`cat $PIDFILE`
	kill $PID
fi

if [ "$1" == "start" ]; then
	($S2P_PATH_BASE/core/libexec/logger &> /dev/null) &
fi
